Backport "core/timer: downgrade message about random time addition (#5229)".

Bug #1692136 reported by Vinson Lee on 2017-05-19
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
systemd
Fix Released
Unknown
systemd (Ubuntu)
Undecided
Unassigned
Xenial
Medium
Dimitri John Ledkov
Zesty
Medium
Dimitri John Ledkov

Bug Description

[Impact]

 * Systemd spams logs too much with pointless messages

[Test Case]

 * Boot system and observe no pointless messages of scheduling random timers for things at a given offset

[Regression Potential]

 * Low, this patch simply changes the priority of the message from info to debug.

[Original bug report]

Please backport upstream systemd v233 commit 382852fd581efe3cc0ae11154102ab9f435adea1 "core/timer: downgrade message about random time addition (#5229)". https://github.com/systemd/systemd/commit/382852fd581efe3cc0ae11154102ab9f435adea1

This removes "random time" messages flooding dmesg.

The spew was introduced with v229 commit "core: add new RandomSec= setting for time units". https://github.com/systemd/systemd/commit/744c7693751830149ae78fdaf95c6c6f99d59f07

trusty based off v204 is not affected.

xenial based off v229, yakkety based off v231, and zesty based off v232 need this fix.

artful based off v233 has the fix.

CVE References

Changed in systemd:
status: Unknown → Fix Released
Changed in systemd (Ubuntu Xenial):
status: New → Triaged
Changed in systemd (Ubuntu Yakkety):
status: New → Triaged
Changed in systemd (Ubuntu Zesty):
status: New → Triaged
Changed in systemd (Ubuntu):
status: New → Fix Released
Changed in systemd (Ubuntu Xenial):
importance: Undecided → Medium
Changed in systemd (Ubuntu Yakkety):
importance: Undecided → Medium
Changed in systemd (Ubuntu Zesty):
importance: Undecided → Medium
Changed in systemd (Ubuntu Xenial):
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in systemd (Ubuntu Yakkety):
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in systemd (Ubuntu Zesty):
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in systemd (Ubuntu Zesty):
status: Triaged → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Thank you for uploading this stable release update! To ease the SRU review process and later package validation, could you please update the bug description to include the relevant SRU information [1]?

[1] https://wiki.ubuntu.com/StableReleaseUpdates#SRU_Bug_Template

description: updated
Changed in systemd (Ubuntu Zesty):
status: Fix Committed → In Progress

Hello Vinson, or anyone else affected,

Accepted systemd into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/232-21ubuntu4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in systemd (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed
Dimitri John Ledkov (xnox) wrote :

Before and After packages:
systemd-sysv:amd64 (232-21ubuntu3, 232-21ubuntu4)

Before:
$ journalctl | grep 'random time'
Jun 19 12:01:31 grand-lab systemd[1]: motd-news.timer: Adding 49min 3.813525s random time.
Jun 19 12:01:31 grand-lab systemd[1]: apt-daily.timer: Adding 5h 1min 58.969401s random time.
Jun 19 12:01:31 grand-lab systemd[1]: snapd.refresh.timer: Adding 2h 17min 9.916190s random time.
Jun 19 12:01:31 grand-lab systemd[1]: snapd.refresh.timer: Adding 5min 29.977428s random time.

After:
$ journalctl | grep 'random time'
$

Nothing. Thus this bug is now fixed for the default logging priorities.

tags: added: verification-done
removed: verification-needed
tags: added: verification-done-zesty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 232-21ubuntu4

---------------
systemd (232-21ubuntu4) zesty; urgency=medium

  * Cherrypick upstream commit to enable system use kernel maximum limit for
    RLIMIT_NOFILE isntead of hard-coded (low) limit of 65536. (LP: #1686361)
  * debian/tests/root-unittests: disable execute and seccomp tests on arm
    test-seccomp and test-execute fail on arm64 kernels. Marking both tests as
    expected failures. An upstream bug report is filed to resolve these.
    (LP: #1672499)
  * Cherrypick upstream patch for platform predictable interface names.
    (LP: #1686784)
  * resolved: fix null pointer dereference crash (LP: #1621396)
  * Cherrypick core/timer downgrade message about random time addition
    (LP: #1692136)

 -- Dimitri John Ledkov <email address hidden> Wed, 24 May 2017 16:26:16 +0100

Changed in systemd (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for systemd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in systemd (Ubuntu Xenial):
milestone: none → ubuntu-16.04.3
Changed in systemd (Ubuntu Yakkety):
status: Triaged → In Progress

Hello Vinson, or anyone else affected,

Accepted systemd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/229-4ubuntu18 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in systemd (Ubuntu Xenial):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-xenial
removed: verification-done
Dimitri John Ledkov (xnox) wrote :

With 229-4ubuntu18 these messages are not present in journalctl -b, with 229-4ubuntu17 they are. All is good.

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Adam Conrad (adconrad) wrote :

Hello Vinson, or anyone else affected,

Accepted systemd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/229-4ubuntu19 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-xenial
removed: verification-done verification-done-xenial
Dimitri John Ledkov (xnox) wrote :

Starting with systemd 229-4ubuntu17.
Observed:
Jul 19 13:26:15 key-giraffe systemd[1]: apt-daily.timer: Adding 7h 44min 55.393699s random time.
Jul 19 13:26:15 key-giraffe systemd[1]: snapd.refresh.timer: Adding 5h 7min 50.445307s random time.
Jul 19 13:26:15 key-giraffe systemd[1]: snapd.refresh.timer: Adding 1h 20min 37.720752s random time.

Upgraded to systemd 229-4ubuntu19

No such messages present in the journal.

tags: added: verification-done-xenial
removed: verification-needed-xenial
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 229-4ubuntu19

---------------
systemd (229-4ubuntu19) xenial; urgency=medium

  * debian/extra/units/systemd-resolved.service.d/resolvconf.conf: partially
    revert, by removing ExecStart|StopPost lines, as these are not needed on
    xenial and generate warnings in the journal. (LP: #1704677)

systemd (229-4ubuntu18) xenial; urgency=medium

  * debian/extra/units/systemd-resolved.service.d/resolvconf.conf: if resolved
    is going to be started, make sure this blocks network-online.target.
    (LP: #1673860)
  * networkd: cherry-pick support for setting bridge port's priority
    (LP: #1668347)
  * Cherrypick upstream commit to enable system use kernel maximum limit for
    RLIMIT_NOFILE isntead of hard-coded (low) limit of 65536. (LP: #1686361)
  * Cherrypick upstream patch for platform predictable interface names.
    (LP: #1686784)
  * resolved: fix null pointer dereference crash (LP: #1621396)
  * Cherrypick core/timer downgrade message about random time addition
    (LP: #1692136)
  * SECURITY UPDATE: Out-of-bounds write in systemd-resolved (LP: #1695546)
    - CVE-2017-9445
  * Cherry-pick subset of patches to introduce infinity value in logind.conf
    for UserTasksMax (LP: #1651518)

 -- Dimitri John Ledkov <email address hidden> Mon, 17 Jul 2017 17:00:42 +0100

Changed in systemd (Ubuntu Xenial):
status: Fix Committed → Fix Released
no longer affects: systemd (Ubuntu Yakkety)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.